 /*
 * file      : callbacks.h
 * project   : BaseBuild
 * with      : Gtk-2
 *
 * copyright : (C) 2010 - 2011 by Claude Bulin
 *
 * BaseBuild - Creation d'une base de programmation en langage C de type GNU avec les autotools
 * GNU General Public License
 * 
 * This file is part of BASEBUILD.
 * 
 * BASEBUILD is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * at your option) any later version.
 * 
 * BASEBUILD is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with BASEBUILD.  If not, see <http://www.gnu.org/licenses/>.
 */


#ifndef __callbacks_h__
#define __callbacks_h__ 1

typedef struct {

	gint		 Memory_page;
	GtkButton	*Adr_button_path;
	GtkWidget	*Adr_name_project;
	GtkWidget	*Adr_spinbutton_version_A;
	GtkWidget	*Adr_spinbutton_version_B;
	GtkWidget	*Adr_spinbutton_version_C;
	GtkWidget	*Adr_name_library;
	GtkComboBox	*Adr_combobox_categories;
	gchar		 StrCategoriesEntry [ 50 ];
	GtkWidget	*Adr_name_lib_static;
	gboolean	 BoolCreateBuild;
	
} VAR_CALLBACKS;


gchar	*Callbacks_get_entry_categories_item (void);
gchar	*Callbacks_get_pathnamefile_glade (void);

#endif

